--- a/apg.1	2014-10-07 22:58:04.027682010 +0200
+++ b/apg.1	2014-10-07 23:10:43.055753908 +0200
@@ -36,20 +36,14 @@
 Another algorithm is simple random character generation algorithm, but it
 uses four user-defined symbol sets to produce random password. It means that
 user can choose type of symbols that should appear in password. Symbol sets
-are: numeric symbol set
-.I (0,...,9)
-, capital letters symbol set
-.I (A,...,Z)
-, small letters symbol set
-.I (a,...,z)
-and special symbols symbol set
-.I (#,@,!,...).
+are: numeric symbol set (0,...,9), capital letters symbol set (A,...,Z),
+small letters symbol set (a,...,z) and special symbols symbol set (#,@,!,...).
 .PP
 Built-in pseudo random number generator is an implementation of algorithm
 described in
 .B Appendix C of ANSI X9.17
 or
-.B RFC1750
+.B RFC 1750
 with exception that it uses
 .I CAST
 or
@@ -81,30 +75,30 @@
 .SS "Password generation modes options"
 .TP
 .B -a algorithm
-use 
+Use 
 .B algorithm
 for password generation.
 .RS
 .B 0
-- (default) pronounceable password generation
+- pronounceable password generation (default)
 .br
 .B 1
 - random character password generation
 .RE
 .TP
 .B -n num_of_pass
-generate 
+Generate 
 .B num_of_pass
 number of passwords. Default is 6.
 .TP
 .B -m min_pass_len
-generate password with minimum length 
+Generate password with minimum length 
 .B min_pass_len.
 If \fBmin_pass_len > max_pass_len\fP then \fBmax_pass_len = min_pass_len\fP.
 Default minimum password length is 8.
 .TP
 .B -x max_pass_len
-generate password with maximum length 
+Generate password with maximum length 
 .B max_pass_len.
 If \fBmin_pass_len > max_pass_len\fP then \fBmax_pass_len = min_pass_len\fP.
 Default maximum password length is 10.
@@ -116,33 +110,33 @@
 .RS
 .TP
 .B S
-generator \fBmust\fP use special symbol set for every generated password.
+Generator \fBmust\fP use special symbol set for every generated password.
 .TP
 .B s
-generator \fBshould\fP use special symbol set for password generation.
+Generator \fBshould\fP use special symbol set for password generation.
 .TP
 .B N
-generator \fBmust\fP use numeral symbol set for every generated password.
+Generator \fBmust\fP use numeral symbol set for every generated password.
 .TP
 .B n
-generator \fBshould\fP use numeral symbol set for password generation.
+Generator \fBshould\fP use numeral symbol set for password generation.
 .TP
 .B C
-generator \fBmust\fP use capital symbol set for every generated password.
+Generator \fBmust\fP use capital symbol set for every generated password.
 .TP
 .B c
-generator \fBshould\fP use capital symbol set for password generation.
+Generator \fBshould\fP use capital symbol set for password generation.
 .TP
 .B L
-generator \fBmust\fP use small letters symbol set for every generated password
+Generator \fBmust\fP use small letters symbol set for every generated password
 (always present if pronounceable password
 generation algorithm is used).
 .TP
 .B l
-generator \fBshould\fP use small letters symbol set for password generation.
+Generator \fBshould\fP use small letters symbol set for password generation.
 .TP
 .B R,r
-not supported any more. Use \fB-E char_string\fP option instead.
+Not supported any more. Use \fB-E char_string\fP option instead.
 .RE
 .RS
 .br
@@ -155,11 +149,15 @@
 .PP
 .B Examples:
 .br
-\fB-M sncl\fP or \fB-M SNCL\fP or \fB-M Cn\fP
+\fB-M sncl\fP
+.br
+\fB-M SNCL\fP
+.br
+\fB-M Cn\fP
 .RE
 .TP
 .B -E char_string
-exclude characters in \fBchar_string\fP from password generation process (in pronounceable
+Exclude characters in \fBchar_string\fP from password generation process (in pronounceable
 password generation mode you can not exclude small letters). To include special symbols that
 can be recognized by shell (apostrophe, quotes, dollar sign, etc.) in \fBchar_string\fP use
 the backslashed versions.
@@ -168,7 +166,7 @@
 .B Examples:
 .PP
 Command \fBapg -a 1 -M n -n 3 -m 8 -E 23456789\fP will generate a set of passwords that
-will look like this
+will look like this:
 .br
 \fB10100110\fP
 .br
@@ -178,7 +176,7 @@
 .br
 .PP
 Command \fBapg -a 1 -M nc -n 3 -m 26 -E GHIJKLMNOPQRSTUVWXYZ\fP will generate a set of passwords
-that will look like this
+that will look like this:
 .br
 \fB16A1653CD4DE5E7BD9584A3476\fP
 .br
@@ -190,16 +188,15 @@
 .SS "Password quality control options"
 .TP
 .B -r \fIdictfile\fP
-check generated passwords for their appearance in 
-.I dictfile
+Check generated passwords for their appearance in \fIdictfile\fP.
 .TP
 .B -b \fIfilter_file\fP
-check generated passwords for their appearance in 
-\fIfilter_file\fP. \fIfilter_file\fP should be created with \fBapgbfm\fP(1)
+Check generated passwords for their appearance in 
+\fIfilter_file\fP. \fIfilter_file\fP should be created with the \fBapgbfm\fP(1)
 utility.
 .TP
 .B -p min_substr_len
-this option tells \fBapg\fP(1) to check every substring of the generated
+This option tells \fBapg\fP(1) to check every substring of the generated
 password for appearance in \fIfilter_file\fP. If any of such substrings would
 be found in the \fIfilter_file\fP then generated password would be rejected
 and apg(1) will generate another one.
@@ -208,41 +205,48 @@
 .SS "Pseudo random number generator options"
 .TP
 .B -s
-ask user for random sequence for password generation
+Ask user for random sequence for password generation.
 .TP
 .B -c cl_seed
-use
+Use
 .B cl_seed
 as a random seed for password generation. I use it when i have to generate
 passwords in a shell script.
+.RS
+.B Examples:
+.br
+\fB-c /dev/urandom\fP
+.br
+\fB-c /tmp/seed_file\fP
+.RE
 .SS "Password output options"
 .br
 .TP
 .B -d
-do NOT use any delimiters between generated passwords. I use it when i have to generate
+Do NOT use any delimiters between generated passwords. I use it when i have to generate
 passwords in a shell script.
 .TP
 .B -y
-print generated passwords and crypted passwords (see man \fBcrypt\fP(3))
+Print generated passwords and crypted passwords (see \fBcrypt\fP(3)).
 .TP
 .B -q
-quiet mode (do not print warnings)
+Quiet mode (do not print warnings).
 .TP
 .B -l
-spell genetated passwords. Useful when you want to read generated password by telephone.
+Spell genetated passwords. Useful when you want to read generated password by telephone.
 .RS
 .B WARNING:
 Think twice before read your password by phone.
 .RE
 .TP
 .B -t
-print pronunciation for generated pronounceable password
+Print pronunciation for generated pronounceable password. Ignored if \fB-a 1\fP is set.
 .TP
 .B -h
-print help information and exit
+Print help information and exit.
 .TP
 .B -v
-print version information and exit
+Print version information and exit.
 .SH "DEFAULT OPTIONS"
 \fBapg -a 0 -M sncl -n 6 -x 10 -m 8\fP (new style)
 .PP
